Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Hardware Abstraction Layer
Name:      	hal
Version:   	0.5.11
Release:   	1
Epoch: 		1
License: 	AFL/GPL
URL:		http://www.freedesktop.org/Software/hal/
Group:     	System/Libraries          
Source0: 	%{name}-%{version}.tar.bz2
Source3:	haldaemon.init
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	dbus >= 1.1.2
Requires:	dbus-glib >= 0.70
Requires:	libcap util-linux >= 2.12p
Requires:	glib
Requires:	libusb
Requires:	udev >= 100
Requires:	dbus-glib dmidecode libsmbios hal-info
PreReq: 	chkconfig
BuildRequires:	dbus-devel >= 0.93
BuildRequires:	libcap-devel
BuildRequires:	expat-devel
BuildRequires:	glib-devel
BuildRequires:	gettext hwdata
BuildRequires:	libusb-devel pkg-config doxygen python-devel >= 2.5
BuildRequires: 	perl-XML-Parser
BuildRequires: 	desktop-file-utils
BuildRequires:	dbus-glib-devel
BuildRequires:  libvolume_id-devel >= 116
BuildRequires:  pciutils-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  libsmbios-devel gperf

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%define 	hal_user_uid	102

Obsoletes:	hal-gnome

%description
HAL is daemon for collection and maintaining information from several
sources about the hardware on the system. It provdes a live device
list through D-BUS.

%package devel
Summary: 	Libraries and headers for HAL
Group: 		Development/Libraries
Requires: 	%name = %{epoch}:%{version}-%{release}
Requires: 	dbus-devel >= 0.93

%description devel

Headers, static libraries and API docs for HAL.

%pre
# Add the "hal" user
/usr/sbin/useradd -c 'HAL daemon' -u %{hal_user_uid} -s /sbin/nologin -d '/' haldaemon 2> /dev/null || :
/usr/sbin/groupadd -g %{hal_user_uid} haldaemon &>/dev/null || :

%post
/sbin/ldconfig
/sbin/chkconfig --add haldaemon
/sbin/chkconfig haldaemon resetpriorities
# add cache dir - hal won't start otherwise
mkdir -p /var/cache/hald

%postun
if [ $1 -eq 0 ]; then
    /usr/sbin/userdel haldaemon &>/dev/null || :
    /usr/sbin/groupdel haldaemon &>/dev/null || :
fi
ldconfig

%triggerpostun -- hal < 0.5.7
#remove lingering fstab-sync entries from /etc/fstab
/bin/cp -f /etc/fstab /etc/fstab.hal-save
(IFS="
"; while read line; do echo $line | awk '{print $4}' | grep -q managed || echo $line | grep -q "^#.*fstab-sync" || echo $line; done < /etc/fstab > fstab.replace)

if [ -s fstab.replace ]; then
  /bin/cp -f fstab.replace /etc/fstab
fi


%prep
%setup -q
#%patch0 -p1 -b .partedversion
#%patch3 -p0 -b .fedora-eject
#%patch7 -p1 -b .fix-ups
#echo PATCHED :D
#%patch9 -p0

%build
export FFLAGS=$CFLAGS
echo $CFLAGS
%configure 	--disable-docbook-docs \
		--disable-gtk-doc \
		--with-os-type=redhat \
		--libexecdir=%_libdir/hal \
		--disable-policy-kit \
		--enable-umount-helper \
		--enable-manpages \
		--mandir=%_mandir \
		--with-macbookpro \
		--with-macbook \
		--with-omap \
		--with-cpufreq \
		--with-usb-csr \
		--enable-sonypic \
		--with-dell-backlight \
		--enable-acpi-ibm \
		--enable-acpi-toshiba \
		--with-eject=/usr/bin/eject \
		--with-libexecdir=%_libdir/hal

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp README AUTHORS NEWS COPYING HACKING $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

#cp -f %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor/

#cp -f %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/20thirdparty/


# install .desktop file
#install -v -m755 -D %{SOURCE2} $RPM_BUILD_ROOT/usr/share/applications/hal-device-manager.desktop
#install -v -m755 -d $RPM_BUILD_ROOT%_localstatedir/run/hald
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/haldaemon
mkdir -p $RPM_BUILD_ROOT/var/cache/hald

#FIXME
#- Remove /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi which
#- effectively disables xorg input hotplugging again
#- This is only a temporary workaround until xserver-xorg has been fixed
#- to provide a clean upgrade path for non-US keyboard layouts.

rm -f $RPM_BUILD_ROOT/usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi

%files
%defattr(-,root,root)
%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/NEWS
%doc %{_datadir}/doc/%{name}-%{version}/COPYING
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/HACKING
%doc %{_datadir}/doc/%{name}-%{version}/README
%dir %{_sysconfdir}/dbus-1/system.d
%config %{_sysconfdir}/dbus-1/system.d/hal.conf
%config %{_sysconfdir}/rc.d/init.d/haldaemon
%dir %{_sysconfdir}/hal
%{_sysconfdir}/hal/*
/sbin/umount.hal
%{_sbindir}/hald
%{_bindir}/*
%{_libdir}/hal
%{_datadir}/hal/fdi
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_sysconfdir}/udev/rules.d/90-hal.rules
%attr(0700,haldaemon,haldaemon) %dir %{_localstatedir}/cache/hald
#%attr(0700,haldaemon,haldaemon) %dir %{_localstatedir}/lib/hal
%{_libdir}/*hal*.so.*
%_datadir/gtk-doc

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon May 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:0.5.11-1
- Version update
* Mon Nov 26 2007 Christian Metzen <metzench@ccux-linux.de> 1:0.5.10-4
- added hal-info require
* Mon Nov 26 2007 Christian Metzen <metzench@ccux-linux.de> 1:0.5.10-3
- Remove /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi which
- effectively disables xorg input hotplugging again
- This is only a temporary workaround until xserver-xorg has been fixed
- to provide a clean upgrade path for non-US keyboard layouts.
* Mon Nov 26 2007 Christian Metzen <metzench@ccux-linux.de> 1:0.5.10-2
- disabled keymap remapping
* Mon Nov 26 2007 Christian Metzen <metzench@ccux-linux.de> 1:0.5.10-1
- Version update
* Thu Jul 26 2007 Christian Metzen <metzench@ccux-linux.de> 1:0.5.9.1-3
- for update issues, added creation of /var/cache/hald to init script
* Tue Jul 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:0.5.9.1-2
- fixed post/postun scriplet
* Tue Jul 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:0.5.9.1-1
- Version update
* Wed May 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:0.5.9-1
- Version update
* Mon Feb 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:0.5.8.1-2
- added patch against dbus_error_is_set(NULL) crash
* Sun Feb 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:0.5.8.1-1
- Version update
- built against dbus 1.0.2
* Thu Oct 05 2006 Christian Metzen <metzench@ccux-linux.de> 1:0.5.7.1-6
- added storage methods patch
* Sat Sep 30 2006 Christian Metzen <metzench@ccux-linux.de> 1:0.5.7.1-5
- back to 0.5.7.1, moved libexecdir
* Fri Sep 29 2006 Christian Metzen <metzench@ccux-linux.de> 0.5.8.1-1
- version update
* Thu Sep 28 2006 Christian Metzen <metzench@ccux-linux.de> 0.5.7.1-4
- readded .a and .la files, modified post script
* Thu Sep 28 2006 Christian Metzen <metzench@ccux-linux.de> 0.5.7.1-3
- modified init script
* Thu Sep 28 2006 Christian Metzen <metzench@ccux-linux.de> 0.5.7.1-2
- added creation of haldaemon group
* Thu Sep 28 2006 Christian Metzen <metzench@ccux-linux.de> 0.5.7.1-1
- Version update
* Wed Feb 15 2006 Christian Metzen <metzench@ccux-linux.de> 0.5.6-2
- Bugfix, added some Requires
* Sun Feb 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.6-1
- Version update
* Mon Nov 21 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.5.5.1-2
- added ruleset for udev, added desktop-file, derived hal-device-manager package
* Sun Nov 20 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.5.5.1-1
- Version update
* Wed Nov 16 2005 Christian Metzen <metzench@ccux-linux.de> 0.5.4-3
- Added usb.ids, new bootscript
* Thu Oct 27 2005 Christian Metzen <metzench@ccux-linux.de> 0.5.4-2
- Fixed startup Script
* Wed Oct 26 2005 Christian Metzen <metzench@ccux-linux.de> 0.5.4-1
- Version update
* Sat Apr 02 2005 Christian Metzen <metzench@ccux-linux.de> 0.4.7-7
- Re-added fstab-sync
* Sun Mar 27 2005 Christian Metzen <metzench@ccux-linux.de> 0.4.7-6
- removed fstab-sync, pmount now does the Job
* Sun Mar 27 2005 Christian Metzen <metzench@ccux-linux.de> 0.4.7-5
- Recompilation against DBUS 0.23.4
* Fri Mar 25 2005 Christian Metzen <metzench@ccux-linux.de> 0.4.7-4
- Recompilation against newest dbus/qt
* Fri Jan 28 2005 Christian Metzen <metzench@ccux-linux.de> 0.4.7-3
- Fixed some Minor Bugs
* Fri Jan 28 2005 Christian Metzen <metzench@ccux-linux.de> 0.4.7-2
- Added default Runlevel Scripts, more CCux specific Config
* Wed Jan 25 2005 Christian Metzen <metzench@ccux-linux.de> 0.4.7-1
- Initial Release
